> ## Documentation Index
> Fetch the complete documentation index at: https://www.orwel.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Identities

> Retrieve a paginated list of visitor identities

> [!NOTE]
>
> Requires an [API key](https://www.orwel.io/docs/authentication.md) (`orwel_sk_`) with the `visitors:read` scope.

## Query Parameters

**limit** `integer` (default: 50)

Maximum number of results to return (max: 100)

**offset** `integer` (default: 0)

Number of results to skip for pagination

**email** `string`

Filter identities by email address

**visitor\_id** `string`

Filter identities by visitor ID (UUID)

**is\_favorite** `boolean`

Filter favorite identities (true/false)

**created\_after** `string`

Filter identities created after this date (ISO 8601 format)

**created\_before** `string`

Filter identities created before this date (ISO 8601 format)

## Response

**data** `array`

Array of visitor identity objects

**Identity Object**

**id** `string`

Unique identifier for the identity

**workspace\_id** `string`

Workspace ID (always your workspace)

**visitor\_id** `string`

Associated visitor ID

**email** `string`

Email address

**name** `string`

Full name

**traits** `object`

Custom traits (JSONB)

**first\_seen** `string`

ISO 8601 timestamp of first visit

**last\_seen** `string`

ISO 8601 timestamp of last visit

**ip** `string`

IP address

**city** `string`

City

**country** `string`

Country

**is\_favorite** `boolean`

Whether identity is marked as favorite

**created\_at** `string`

ISO 8601 timestamp of creation

**pagination** `object`

Pagination information

```bash cURL theme={null}
curl -X GET "https://api.orwel.io/api/v1/identities?limit=10&is_favorite=true" \
  -H "Authorization: Bearer orwel_sk_YOUR_KEY"
```

```javascript JavaScript theme={null}
const response = await fetch(
  'https://api.orwel.io/api/v1/identities?limit=10&is_favorite=true',
  {
    headers: {
      'Authorization': 'Bearer orwel_sk_YOUR_KEY'
    }
  }
);

const data = await response.json();
```

```python Python theme={null}
import requests

headers = {
    'Authorization': 'Bearer orwel_sk_YOUR_KEY'
}

params = {
    'limit': 10,
    'is_favorite': True
}

response = requests.get(
    'https://api.orwel.io/api/v1/identities',
    headers=headers,
    params=params
)

data = response.json()
```

```json Response theme={null}
{
  "data": [
    {
      "id": "ee0e8400-e29b-41d4-a716-446655440009",
      "workspace_id": "770e8400-e29b-41d4-a716-446655440002",
      "visitor_id": "660e8400-e29b-41d4-a716-446655440001",
      "email": "user@example.com",
      "name": "John Visitor",
      "traits": {
        "plan": "enterprise",
        "company": "Acme Corp"
      },
      "first_seen": "2025-01-10T08:00:00Z",
      "last_seen": "2025-01-15T16:30:00Z",
      "ip": "192.168.1.1",
      "city": "San Francisco",
      "country": "USA",
      "is_favorite": true,
      "created_at": "2025-01-10T08:00:00Z"
    }
  ],
  "pagination": {
    "limit": 10,
    "offset": 0,
    "total": 250
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.